Back to Xiaohongshu (RedNote)
TikHub·Xiaohongshu (RedNote)
Xiaohongshu App V2: Search products
/api/v1/xiaohongshu/app_v2/search_productssync$0.015 / callSearch Xiaohongshu products by keyword, returns 20 results per page, supports pagination (TikHub · Xiaohongshu App V2)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| keyword | string | yes | Search keyword |
| page | integer | — | Page number, start from 1 (default 1) |
| search_id | string | — | Search ID for pagination (default "") |
| source | string | — | Source (default "explore_feed") |
Run it
curl -s https://sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/xiaohongshu/app_v2/search_products","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.